List queued requests
curl --request GET \
--url https://qubesync.com/api/v2/connections/{connection_id}/queued-requests \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://qubesync.com/api/v2/connections/{connection_id}/queued-requests"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://qubesync.com/api/v2/connections/{connection_id}/queued-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://qubesync.com/api/v2/connections/{connection_id}/queued-requests",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://qubesync.com/api/v2/connections/{connection_id}/queued-requests"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://qubesync.com/api/v2/connections/{connection_id}/queued-requests")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://qubesync.com/api/v2/connections/{connection_id}/queued-requests")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"links": {
"connection_ui": "<string>",
"pages": "<string>",
"self": "<string>",
"ui": "<string>"
},
"request_xml": "<string>",
"state": "waiting",
"error": {
"debug_message": "<string>",
"error_code": 123,
"error_type": "xml_error",
"hresult": "<string>",
"message": "<string>",
"user_message": "<string>"
},
"inserted_at": "2023-11-07T05:31:56Z",
"iteration_state": "not_applicable",
"original_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"page": 123,
"request_types": [
"<string>"
],
"response_json": {},
"response_xml": "<string>",
"webhook_attempts": [
{}
],
"webhook_error": "<string>",
"webhook_state": "not_applicable",
"webhook_url": "<string>"
}
],
"meta": {
"page": 123,
"total_pages": 123
}
}Unauthorized{
"errors": {
"detail": "Not Found"
}
}Queued Requests
List queued requests
Every request queued on this connection, most recent first. Prefer a webhook_url on each request over polling this (see the Webhooks guide); it’s here for a dashboard, a script, or catching up after downtime.
GET
/
connections
/
{connection_id}
/
queued-requests
List queued requests
curl --request GET \
--url https://qubesync.com/api/v2/connections/{connection_id}/queued-requests \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://qubesync.com/api/v2/connections/{connection_id}/queued-requests"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://qubesync.com/api/v2/connections/{connection_id}/queued-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://qubesync.com/api/v2/connections/{connection_id}/queued-requests",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://qubesync.com/api/v2/connections/{connection_id}/queued-requests"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://qubesync.com/api/v2/connections/{connection_id}/queued-requests")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://qubesync.com/api/v2/connections/{connection_id}/queued-requests")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"links": {
"connection_ui": "<string>",
"pages": "<string>",
"self": "<string>",
"ui": "<string>"
},
"request_xml": "<string>",
"state": "waiting",
"error": {
"debug_message": "<string>",
"error_code": 123,
"error_type": "xml_error",
"hresult": "<string>",
"message": "<string>",
"user_message": "<string>"
},
"inserted_at": "2023-11-07T05:31:56Z",
"iteration_state": "not_applicable",
"original_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"page": 123,
"request_types": [
"<string>"
],
"response_json": {},
"response_xml": "<string>",
"webhook_attempts": [
{}
],
"webhook_error": "<string>",
"webhook_state": "not_applicable",
"webhook_url": "<string>"
}
],
"meta": {
"page": 123,
"total_pages": 123
}
}Unauthorized{
"errors": {
"detail": "Not Found"
}
}Authorizations
Use your app's API key as the username, and leave the password blank
Path Parameters
The connection to act on.
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100Available options:
inserted_at, updated_at Available options:
asc, desc Available options:
waiting, retryable, ticketed, sent, response_received, error, timed_out, discarded Available options:
not_applicable, pending, succeeded, failed 
